%global mod_name sshd-module
%global short_name sshd

Name:           jenkins-sshd
Version:        1.6
Release:        %mkrel 8
Group:          Development/Java
Summary:        Jenkins sshd module

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/sshd-module
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

Patch0:         update-to-apache-sshd-0.11.0.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.acegisecurity:acegi-security)
BuildRequires:  mvn(org.apache.sshd:sshd-core)
BuildRequires:  mvn(org.jenkins-ci.modules:instance-identity)
BuildRequires:  mvn(org.jenkins-ci.modules:ssh-cli-auth)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)

BuildArch:      noarch

%description
This package provides sshd module for Jenkins.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch0 -p1

cp %{SOURCE1} .

# TODO: bug in upstream pom file?
%pom_add_dep org.acegisecurity:acegi-security

%mvn_package "::jm::" __noinstall

%build
# test are disabled because of missing dep
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Fri Mar 11 2016 neoclust <neoclust> 1.6-8.mga6
+ Revision: 989032
- Rebuild against fixed jenkins
- imported package jenkins-sshd

